/* -------------------------------------------------------------------- */
/* SMS Client, send messages to mobile phones and pagers		*/
/*									*/
/* parserc.h								*/
/*									*/
/*  Copyright (C) 1997,1998 Angelo Masci				*/
/*									*/
/*  This library is free software; you can redistribute it and/or	*/
/*  modify it under the terms of the GNU Library General Public		*/
/*  License as published by the Free Software Foundation; either	*/
/*  version 2 of the License, or (at your option) any later version.	*/
/*									*/
/*  This library is distributed in the hope that it will be useful,	*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*/
/*  Library General Public License for more details.			*/
/*									*/
/*  You should have received a copy of the GNU Library General Public	*/
/*  License along with this library; if not, write to the Free		*/
/*  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	*/
/*									*/
/*  You can contact the author at this e-mail address:			*/
/*									*/
/*  angelo@styx.demon.co.uk						*/
/*									*/
/* -------------------------------------------------------------------- */
/* $Id: parserc.h,v 5.1 1998/02/01 07:10:39 root Exp root $
   -------------------------------------------------------------------- */

#ifndef _PARSERC_H
#define _PARSERC_H

#include "sms_list.h"

/* -------------------------------------------------------------------- */

char *SMS_get_smsrc_value(FILE *fp, char *name);
char *SMS_dual_get_smsrc_value(FILE **fp, char *name);

int SMS_open_dual_getnamevalue_numeric(char *name, long *value);

void SMS_dual_closerc(FILE **fp);
void SMS_dual_openrc(FILE **fp);

char *get_service_value(char *service, char *name);

char *get_protocol(char *service);

int SMS_getnamevalue_numeric(FILE *fp, char *name, long *value);

SMS_list *SMS_expandnumber(FILE *fp[2], char *id, char *number, char *default_service);

int is_name(char *name);
int validate_expanded_numbers(SMS_list *numbers);
int is_numeric(char *ptr);


#endif
/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

